"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Filled = exports.Slim = exports.Secondary = exports.Primary = exports.Default = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var Button_1 = require("./Button");
var meta = {
    title: "Button",
    component: Button_1.Button,
};
exports.default = meta;
var Template = function (_a) {
    var label = _a.label, args = __rest(_a, ["label"]);
    return jsx_runtime_1.jsx(Button_1.Button, __assign({}, args, { children: label }), void 0);
};
exports.Default = Template.bind({});
exports.Default.args = { label: "Button" };
exports.Primary = Template.bind({});
exports.Primary.args = __assign(__assign({}, exports.Default.args), { primary: true });
exports.Secondary = Template.bind({});
exports.Secondary.args = __assign(__assign({}, exports.Default.args), { secondary: true });
exports.Slim = Template.bind({});
exports.Slim.args = __assign(__assign({}, exports.Default.args), { slim: true });
exports.Filled = Template.bind({});
exports.Filled.args = __assign(__assign({}, exports.Default.args), { filled: true });
//# sourceMappingURL=Button.stories.js.map