import { StyledComponentProps } from "styled-components";
import { HasFilledVersion, HasPalette, HasSlimVersion, CanGrow } from "../Theme";
declare type ButtonOwnProps = HasSlimVersion & HasPalette & HasFilledVersion & CanGrow;
export declare type ButtonProps = StyledComponentProps<"button", any, ButtonOwnProps, never>;
/**
 * The Main Button Component
 */
export declare const Button: import("styled-components").StyledComponent<"button", any, HasSlimVersion & import("../Theme").HasTheme & {
    primary?: boolean | undefined;
    secondary?: boolean | undefined;
    grey?: boolean | undefined;
} & HasFilledVersion & CanGrow, never>;
export {};
//# sourceMappingURL=Button.style.d.ts.map