"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Button = void 0;
var styled_components_1 = __importStar(require("styled-components"));
var Theme_1 = require("../Theme");
/**
 * The Main Button Component
 */
exports.Button = styled_components_1.default.button(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  border: 1px solid ", ";\n  padding: 0.3rem;\n  margin: 0.2rem;\n  color: ", ";\n  background: none;\n  outline: none;\n  opacity: 1;\n\n  ", "\n\n  ", "\n\n  :disabled {\n    opacity: 0.6;\n  }\n\n  :active {\n    box-shadow: inset 0 0 0.2rem ", ";\n\n    :disabled {\n      box-shadow: none;\n    }\n  }\n\n  ", "\n\n  ", "\n\n\n  @media screen and ", " {\n      padding: 0.2rem;\n      border: none;\n\n      :hover {\n          box-shadow 0 0.05rem 0.2rem ", ";\n      }\n\n      :active {\n          box-shadow 0 0 0.1rem ", ";\n      }\n  }\n"], ["\n  border: 1px solid ", ";\n  padding: 0.3rem;\n  margin: 0.2rem;\n  color: ", ";\n  background: none;\n  outline: none;\n  opacity: 1;\n\n  ", "\n\n  ",
    "\n\n  :disabled {\n    opacity: 0.6;\n  }\n\n  :active {\n    box-shadow: inset 0 0 0.2rem ", ";\n\n    :disabled {\n      box-shadow: none;\n    }\n  }\n\n  ",
    "\n\n  ",
    "\n\n\n  @media screen and ", " {\n      padding: 0.2rem;\n      border: none;\n\n      :hover {\n          box-shadow 0 0.05rem 0.2rem ", ";\n      }\n\n      :active {\n          box-shadow 0 0 0.1rem ", ";\n      }\n  }\n"])), Theme_1.shade.dark, Theme_1.shade.darker, Theme_1.grow, function (props) {
    return props.grow && styled_components_1.css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n      flex-grow: ;\n    "], ["\n      flex-grow: ;\n    "])));
}, Theme_1.shade.medium, function (props) {
    return Theme_1.isSlim(props) && styled_components_1.css(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n      padding: 0.1rem;\n      margin: 0.1rem;\n    "], ["\n      padding: 0.1rem;\n      margin: 0.1rem;\n    "])));
}, function (props) {
    return Theme_1.isFilled(props) && styled_components_1.css(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n      border: 1px solid ", ";\n      background-color: ", ";\n      color: ", ";\n\n      :focus {\n        border-color: ", ";\n      }\n    "], ["\n      border: 1px solid ", ";\n      background-color: ", ";\n      color: ", ";\n\n      :focus {\n        border-color: ", ";\n      }\n    "])), Theme_1.shade.medium, Theme_1.shade.light, Theme_1.shade.darker, Theme_1.shade.dark);
}, Theme_1.bp.isDesktop, Theme_1.shade.medium, Theme_1.shade.medium);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
//# sourceMappingURL=Button.style.js.map