"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Pagination = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var Pagination_style_1 = require("./Pagination.style");
var B = __importStar(require("../Button"));
var Icons_1 = require("../Icons");
function calculatePagesToShow(pages, activePage) {
    switch (pages) {
        case 0:
            return [];
        case 1:
            return [1];
        case 2:
            return [1, 2];
        case 3:
            return [1, 2, 3];
        default:
            switch (activePage) {
                case 1:
                    return [1, 2, 3];
                case pages:
                    return [pages - 2, pages - 1, pages];
                default:
                    return [activePage - 1, activePage, activePage + 1];
            }
    }
}
var Pagination = function (_a) {
    var pages = _a.pages, activePage = _a.activePage, _b = _a.Button, Button = _b === void 0 ? B.Button : _b, onChangePage = _a.onChangePage;
    var canGoLeft = activePage > 1 ? true : undefined;
    var canGoRight = activePage < pages ? true : undefined;
    function changePage(page) {
        return onChangePage && (function () { return onChangePage(page); });
    }
    var pagesToShow = calculatePagesToShow(pages, activePage);
    return (jsx_runtime_1.jsxs(Pagination_style_1.Main, __assign({ role: "navigation", "aria-label": "Pagination Navigation" }, { children: [jsx_runtime_1.jsx(Button, __assign({ page: canGoLeft && 1, disabled: !canGoLeft, onClick: canGoLeft && changePage(1), "aria-label": "Go to first page" }, { children: jsx_runtime_1.jsx(Icons_1.Chevrons, { left: true }, void 0) }), void 0),
            jsx_runtime_1.jsx(Button, __assign({ page: canGoLeft && activePage - 1, disabled: !canGoLeft, onClick: canGoLeft && changePage(activePage - 1), "aria-label": "Go to previous page" }, { children: jsx_runtime_1.jsx(Icons_1.Chevron, { left: true }, void 0) }), void 0),
            pagesToShow.map(function (page) { return (jsx_runtime_1.jsx(Button, __assign({ page: page, primary: page === activePage, onClick: page !== activePage ? changePage(page) : undefined, "aria-label": "Go to page " + page, "aria-current": page === activePage && "page" }, { children: page }), page)); }),
            jsx_runtime_1.jsx(Button, __assign({ page: canGoRight && activePage + 1, disabled: !canGoRight, onClick: canGoRight && changePage(activePage + 1), "aria-label": "Go to next page" }, { children: jsx_runtime_1.jsx(Icons_1.Chevron, { right: true }, void 0) }), void 0),
            jsx_runtime_1.jsx(Button, __assign({ page: canGoRight && pages, disabled: !canGoRight, onClick: canGoRight && changePage(pages), "aria-label": "Go to last page" }, { children: jsx_runtime_1.jsx(Icons_1.Chevrons, { right: true }, void 0) }), void 0)] }), void 0));
};
exports.Pagination = Pagination;
//# sourceMappingURL=Pagination.js.map