import * as React from "react";
import { THProps, TDProps } from "../Table";
export declare type ColumnType = {
    type?: "string";
} | {
    type: "number";
} | {
    type: "boolean";
};
export declare type ColumnProps = ColumnType & {
    name: string;
    children: string;
    order?: "asc" | "desc";
    span?: number;
};
export declare const Column: React.FC<ColumnProps>;
declare type TypedTH = (TH: React.ElementType<THProps>, column: React.ReactElement<ColumnProps>) => JSX.Element;
export declare const thFromColumn: TypedTH;
declare type TypedTD = (TD: React.ElementType<TDProps>, column: React.ReactElement<ColumnProps>, value: string) => JSX.Element;
export declare const tdFromColumn: TypedTD;
export {};
//# sourceMappingURL=Column.d.ts.map