"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.tdFromColumn = exports.thFromColumn = exports.Column = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var Column = function () { return null; };
exports.Column = Column;
var stringTH = function (TH, _a) {
    var _b;
    var props = _a.props;
    return (jsx_runtime_1.jsx(TH, __assign({ order: props.order, span: (_b = props.span) !== null && _b !== void 0 ? _b : 2, align: "left" }, { children: props.children }), props.name));
};
var numberTH = function (TH, _a) {
    var _b;
    var props = _a.props;
    return (jsx_runtime_1.jsx(TH, __assign({ order: props.order, span: (_b = props.span) !== null && _b !== void 0 ? _b : 1, align: "right" }, { children: props.children }), props.name));
};
var booleanTH = function (TH, _a) {
    var _b;
    var props = _a.props;
    return (jsx_runtime_1.jsx(TH, __assign({ order: props.order, span: (_b = props.span) !== null && _b !== void 0 ? _b : 1, align: "center" }, { children: props.children }), props.name));
};
var thFromColumn = function (TH, column) {
    switch (column.props.type) {
        case "number":
            return numberTH(TH, column);
        case "boolean":
            return booleanTH(TH, column);
        case "string":
        default:
            return stringTH(TH, column);
    }
};
exports.thFromColumn = thFromColumn;
var stringTD = function (TD, _a, value) {
    var _b;
    var props = _a.props;
    return (jsx_runtime_1.jsx(TD, __assign({ label: props.children, span: (_b = props.span) !== null && _b !== void 0 ? _b : 2, align: "left" }, { children: value }), props.name));
};
var numberTD = function (TD, _a, value) {
    var _b;
    var props = _a.props;
    return (jsx_runtime_1.jsx(TD, __assign({ label: props.children, span: (_b = props.span) !== null && _b !== void 0 ? _b : 1, align: "right" }, { children: value }), props.name));
};
var booleanTD = function (TD, _a, value) {
    var _b;
    var props = _a.props;
    return (jsx_runtime_1.jsx(TD, __assign({ label: props.children, span: (_b = props.span) !== null && _b !== void 0 ? _b : 1, align: "center" }, { children: value }), props.name));
};
var tdFromColumn = function (TD, column, value) {
    switch (column.props.type) {
        case "number":
            return numberTD(TD, column, value);
        case "boolean":
            return booleanTD(TD, column, value);
        case "string":
        default:
            return stringTD(TD, column, value);
    }
};
exports.tdFromColumn = tdFromColumn;
//# sourceMappingURL=Column.js.map