"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithPagination = exports.Active = exports.Mobile = exports.Default = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var Sheet_1 = require("./Sheet");
var Column_1 = require("./Column");
var Heading_1 = require("../Heading");
var meta = {
    title: "Sheet",
    component: Sheet_1.Sheet,
};
exports.default = meta;
var Template = function (args) { return jsx_runtime_1.jsx(Sheet_1.Sheet, __assign({}, args), void 0); };
exports.Default = Object.assign(Template.bind({}), {
    args: {
        columns: [
            jsx_runtime_1.jsx(Column_1.Column, __assign({ name: "string", type: "string" }, { children: "String" }), "1"),
            jsx_runtime_1.jsx(Column_1.Column, __assign({ name: "number", type: "number" }, { children: "Number" }), "2"),
        ],
        data: [
            { key: "1", string: "abc", number: "12.34" },
            { key: "2", string: "def", number: "56.78" },
            { key: "3", string: "ghi", number: "90.00" },
            { key: "4", string: "jkl", number: "105.40" },
        ],
        offset: 0,
        pageSize: 10,
        count: 4,
    },
});
exports.Mobile = Object.assign(Template.bind({}), {
    args: exports.Default.args,
    decorators: [
        function (Story) { return (jsx_runtime_1.jsx("div", __assign({ style: { width: "300px" } }, { children: jsx_runtime_1.jsx(Story, {}, void 0) }), void 0)); },
    ],
});
var ActiveStory = function (args) { return (jsx_runtime_1.jsxs(Sheet_1.Sheet, __assign({}, args, { children: [jsx_runtime_1.jsx(Heading_1.H5, { children: "Row 3" }, void 0),
        jsx_runtime_1.jsx("p", { children: "This is some row content" }, void 0)] }), void 0)); };
exports.Active = Object.assign(ActiveStory, {
    args: __assign(__assign({}, exports.Default.args), { activeRow: "3" }),
});
exports.WithPagination = Object.assign(Template.bind({}), {
    args: __assign(__assign({}, exports.Default.args), { count: 12, pageSize: 4, offset: 4 }),
});
//# sourceMappingURL=Sheet.stories.js.map