import * as React from "react";
import { CellProps } from "./Cell.style";
import { Order } from "./Models";
export declare type TDProps = CellProps & {
    children: string;
    label?: string;
};
export declare const TD: React.FC<TDProps>;
export declare type THProps = CellProps & {
    children: string;
    order?: Order;
};
export declare const TH: React.ForwardRefExoticComponent<CellProps & {
    children: string;
    order?: Order | undefined;
} & React.RefAttributes<HTMLDivElement>>;
//# sourceMappingURL=Cell.d.ts.map