"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumberOrderedDesc = exports.Number = exports.OrderedDesc = exports.OrderedAsc = exports.Default = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var Cell_1 = require("./Cell");
var meta = {
    title: "TH",
    component: Cell_1.TH,
};
exports.default = meta;
var Template = function (args) { return jsx_runtime_1.jsx(Cell_1.TH, __assign({}, args), void 0); };
exports.Default = Object.assign(Template.bind({}), {
    args: { children: "Column Title", span: 2 },
});
exports.OrderedAsc = Object.assign(Template.bind({}), {
    args: { children: "In Ascending Order", order: "asc", span: 2 },
});
exports.OrderedDesc = Object.assign(Template.bind({}), {
    args: { children: "In Descending Order", order: "desc", span: 2 },
});
exports.Number = Object.assign(Template.bind({}), {
    args: { children: "Number Column", align: "right" },
});
exports.NumberOrderedDesc = Object.assign(Template.bind({}), {
    args: {
        children: "Number in Descending Order",
        order: "desc",
        align: "right",
    },
});
//# sourceMappingURL=TH.stories.js.map