"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = exports.WithLabels = exports.Buttons = exports.Header = exports.Expanded = exports.Active = exports.Default = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var Row_1 = require("./Row");
var TRHead = __importStar(require("./TRHead.stories"));
var TRBody = __importStar(require("./TRBody.stories"));
var meta = {
    title: "TR",
    component: Row_1.TR,
};
exports.default = meta;
var Template = function (args) { return jsx_runtime_1.jsx(Row_1.TR, __assign({}, args), void 0); };
exports.Default = Object.assign(Template.bind({}), {
    args: {
        children: [jsx_runtime_1.jsx(TRHead.Default, __assign({}, TRHead.Default.args), "head")],
    },
});
exports.Active = Object.assign(Template.bind({}), {
    args: {
        children: [jsx_runtime_1.jsx(TRHead.Active, __assign({}, TRHead.Active.args), "head")],
    },
});
exports.Expanded = Object.assign(Template.bind({}), {
    args: {
        children: [
            jsx_runtime_1.jsx(TRHead.Active, __assign({}, TRHead.Active.args), "head"),
            jsx_runtime_1.jsx(TRBody.Default, __assign({}, TRBody.Default.args), "body"),
        ],
    },
});
exports.Header = Object.assign(Template.bind({}), {
    args: {
        children: [jsx_runtime_1.jsx(TRHead.Header, __assign({}, TRHead.Header.args), "head")],
    },
});
exports.Buttons = Object.assign(Template.bind({}), {
    args: {
        children: [jsx_runtime_1.jsx(TRHead.Buttons, __assign({}, TRHead.Buttons.args), "head")],
        slim: true,
    },
});
exports.WithLabels = Object.assign(Template.bind({}), {
    args: {
        children: [jsx_runtime_1.jsx(TRHead.WithLabels, __assign({}, TRHead.WithLabels.args), "head")],
    },
});
exports.Primary = Object.assign(Template.bind({}), {
    args: {
        children: [jsx_runtime_1.jsx(TRHead.Default, __assign({}, TRHead.Default.args), "head")],
        primary: true,
    },
});
//# sourceMappingURL=TR.stories.js.map