"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithLabels = exports.Buttons = exports.Header = exports.Active = exports.Default = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var Row_1 = require("./Row");
var TD = __importStar(require("./TD.stories"));
var TH = __importStar(require("./TH.stories"));
var Button_1 = require("../Button");
var meta = {
    title: "TRHead",
    component: Row_1.TRHead,
};
exports.default = meta;
var Template = function (args) { return jsx_runtime_1.jsx(Row_1.TRHead, __assign({}, args), void 0); };
exports.Default = Object.assign(Template.bind({}), {
    args: {
        children: [
            jsx_runtime_1.jsx(TD.Text, __assign({}, TD.Text.args), "1"),
            jsx_runtime_1.jsx(TD.Number, __assign({}, TD.Number.args), "2"),
            jsx_runtime_1.jsx(TD.Number, __assign({}, TD.Number.args, { children: "42" }), "3"),
        ],
    },
});
exports.Active = Object.assign(Template.bind({}), {
    args: {
        primary: true,
        children: [
            jsx_runtime_1.jsx(TD.Text, __assign({}, TD.Text.args), "1"),
            jsx_runtime_1.jsx(TD.Number, __assign({}, TD.Number.args), "2"),
            jsx_runtime_1.jsx(TD.Number, __assign({}, TD.Number.args, { children: "42" }), "3"),
        ],
    },
});
exports.Header = Object.assign(Template.bind({}), {
    args: {
        children: [
            jsx_runtime_1.jsx(TH.Default, __assign({}, TH.Default.args), "1"),
            jsx_runtime_1.jsx(TH.NumberOrderedDesc, __assign({}, TH.NumberOrderedDesc.args), "2"),
            jsx_runtime_1.jsx(TH.Number, __assign({}, TH.Number.args), "3"),
        ],
    },
});
exports.Buttons = Object.assign(Template.bind({}), {
    args: {
        children: [
            jsx_runtime_1.jsx(Button_1.Button, { children: "Small Button" }, "1"),
            jsx_runtime_1.jsx(Button_1.Button, __assign({ primary: true, grow: true }, { children: "Growing Button" }), "2"),
        ],
    },
});
exports.WithLabels = Object.assign(Template.bind({}), {
    args: {
        children: [
            jsx_runtime_1.jsx(TD.WithLabel, __assign({}, TD.WithLabel.args), "1"),
            jsx_runtime_1.jsx(TD.WithLabel, __assign({}, TD.WithLabel.args), "2"),
            jsx_runtime_1.jsx(TD.WithLabel, __assign({}, TD.WithLabel.args), "3"),
        ],
    },
});
//# sourceMappingURL=TRHead.stories.js.map