"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TFoot = exports.TBody = exports.THead = exports.Table = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var Table_style_1 = require("./Table.style");
var Context_1 = require("./Context");
var Table = function (_a) {
    var children = _a.children, _b = _a.showLabels, showLabels = _b === void 0 ? true : _b;
    return (jsx_runtime_1.jsx(Context_1.ShowLabelsContext.Provider, __assign({ value: showLabels }, { children: jsx_runtime_1.jsx(Table_style_1.Main, __assign({ role: "table" }, { children: children }), void 0) }), void 0));
};
exports.Table = Table;
var THead = function (_a) {
    var children = _a.children;
    return (jsx_runtime_1.jsx(Table_style_1.Head, __assign({ role: "rowgroup" }, { children: children }), void 0));
};
exports.THead = THead;
var TBody = function (_a) {
    var children = _a.children;
    return (jsx_runtime_1.jsx(Table_style_1.Body, __assign({ role: "rowgroup" }, { children: children }), void 0));
};
exports.TBody = TBody;
var TFoot = function (_a) {
    var children = _a.children, props = __rest(_a, ["children"]);
    return (jsx_runtime_1.jsx(Table_style_1.Foot, __assign({ role: "rowgroup" }, props, { children: children }), void 0));
};
exports.TFoot = TFoot;
//# sourceMappingURL=Table.js.map