import { HasTheme, HasPalette, HasSlimVersion, HasFilledVersion, CanGrow } from "./Props";
import { Palette } from "./Colors";
export declare const palette: ((props: HasPalette) => Palette) & {
    grey: (props: HasTheme) => Palette;
    primary: (props: HasTheme) => Palette;
    secondary: (props: HasTheme) => Palette;
};
export declare const hasActivePalette: (props: HasPalette) => boolean;
export declare const shade: {
    darker: (props: HasPalette) => string;
    dark: (props: HasPalette) => string;
    medium: (props: HasPalette) => string;
    light: (props: HasPalette) => string;
    lighter: (props: HasPalette) => string;
    grey: {
        darker: (props: HasTheme) => string;
        dark: (props: HasTheme) => string;
        medium: (props: HasTheme) => string;
        light: (props: HasTheme) => string;
        lighter: (props: HasTheme) => string;
    };
    primary: {
        darker: (props: HasTheme) => string;
        dark: (props: HasTheme) => string;
        medium: (props: HasTheme) => string;
        light: (props: HasTheme) => string;
        lighter: (props: HasTheme) => string;
    };
    secondary: {
        darker: (props: HasTheme) => string;
        dark: (props: HasTheme) => string;
        medium: (props: HasTheme) => string;
        light: (props: HasTheme) => string;
        lighter: (props: HasTheme) => string;
    };
};
export declare const semiTransparentBackgroundColor: (props: HasPalette) => string;
export declare const bp: {
    isDesktop: (props: HasTheme) => string;
};
export declare const isSlim: (props: HasSlimVersion) => boolean | undefined;
export declare const isFilled: (props: HasFilledVersion) => boolean | undefined;
export declare const grow: (props: CanGrow) => import("styled-components").FlattenSimpleInterpolation;
//# sourceMappingURL=Selectors.d.ts.map