"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Rotate = exports.Icon = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
var rotation = function (_a) {
    var up = _a.up, down = _a.down, left = _a.left, right = _a.right;
    switch (true) {
        case right:
            return "90deg";
        case down:
            return "180deg";
        case left:
            return "270deg";
        case up:
        default:
            return "0deg";
    }
};
exports.Icon = styled_components_1.default.span(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: inline-flex;\n  justify-content: center;\n  align-items: center;\n"], ["\n  display: inline-flex;\n  justify-content: center;\n  align-items: center;\n"])));
exports.Rotate = styled_components_1.default(exports.Icon)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  transform: rotate(", ");\n  transition: transform 150ms;\n"], ["\n  transform: rotate(", ");\n  transition: transform 150ms;\n"])), rotation);
var templateObject_1, templateObject_2;
//# sourceMappingURL=Icon.style.js.map