"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeadTitle = exports.Head = exports.OrderCaret = exports.DataContent = exports.DataLabel = exports.Data = void 0;
var styled_components_1 = __importStar(require("styled-components"));
var DEFAULT_COLUMN_WIDTH_REM = 8;
exports.Data = styled_components_1.default.div(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n  width: ", ";\n  flex-grow: ", ";\n  padding: 0.2rem 0.4rem;\n\n  ", "\n"], ["\n  display: flex;\n  flex-direction: column;\n  width: ", ";\n  flex-grow: ", ";\n  padding: 0.2rem 0.4rem;\n\n  ",
    "\n"])), function (_a) {
    var _b = _a.span, span = _b === void 0 ? 1 : _b;
    return span * DEFAULT_COLUMN_WIDTH_REM + "rem";
}, function (_a) {
    var _b = _a.span, span = _b === void 0 ? 1 : _b;
    return span;
}, function (_a) {
    var _b = _a.align, align = _b === void 0 ? "left" : _b;
    switch (align) {
        case "left":
            return styled_components_1.css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n          text-align: left;\n          align-items: flex-start;\n        "], ["\n          text-align: left;\n          align-items: flex-start;\n        "])));
        case "right":
            return styled_components_1.css(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n          text-align: right;\n          align-items: flex-end;\n        "], ["\n          text-align: right;\n          align-items: flex-end;\n        "])));
        case "center":
            return styled_components_1.css(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n          text-align: center;\n          align-items: center;\n        "], ["\n          text-align: center;\n          align-items: center;\n        "])));
    }
});
exports.DataLabel = styled_components_1.default.div(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  font-size: 0.9em;\n  opacity: 0.8;\n  display: inline-block;\n"], ["\n  font-size: 0.9em;\n  opacity: 0.8;\n  display: inline-block;\n"])));
exports.DataContent = styled_components_1.default.div(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  display: inline-block;\n"], ["\n  display: inline-block;\n"])));
exports.OrderCaret = styled_components_1.default.span(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  display: inline-block;\n  width: 1em;\n  margin-right: 0.2rem;\n"], ["\n  display: inline-block;\n  width: 1em;\n  margin-right: 0.2rem;\n"])));
exports.Head = styled_components_1.default.div(templateObject_11 || (templateObject_11 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: row;\n  align-items: center;\n  width: ", ";\n  flex-grow: ", ";\n  box-sizing: border-box;\n  padding: 0.3rem 0.4rem;\n  font-weight: bold;\n  ", "\n"], ["\n  display: flex;\n  flex-direction: row;\n  align-items: center;\n  width: ", ";\n  flex-grow: ", ";\n  box-sizing: border-box;\n  padding: 0.3rem 0.4rem;\n  font-weight: bold;\n  ",
    "\n"])), function (_a) {
    var _b = _a.span, span = _b === void 0 ? 1 : _b;
    return span * DEFAULT_COLUMN_WIDTH_REM + "rem";
}, function (_a) {
    var _b = _a.span, span = _b === void 0 ? 1 : _b;
    return span;
}, function (_a) {
    var _b = _a.align, align = _b === void 0 ? "left" : _b;
    switch (align) {
        case "left":
            return styled_components_1.css(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n          text-align: left;\n          justify-content: flex-start;\n        "], ["\n          text-align: left;\n          justify-content: flex-start;\n        "])));
        case "right":
            return styled_components_1.css(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n          text-align: right;\n          justify-content: flex-end;\n        "], ["\n          text-align: right;\n          justify-content: flex-end;\n        "])));
        case "center":
            return styled_components_1.css(templateObject_10 || (templateObject_10 = __makeTemplateObject(["\n          text-align: center;\n          justify-content: center;\n        "], ["\n          text-align: center;\n          justify-content: center;\n        "])));
    }
});
exports.HeadTitle = styled_components_1.default.span(templateObject_12 || (templateObject_12 = __makeTemplateObject(["\n  display: inline-block;\n"], ["\n  display: inline-block;\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8, templateObject_9, templateObject_10, templateObject_11, templateObject_12;
//# sourceMappingURL=Cell.style.js.map