import * as React from "react";
import { RowProps, HeadProps } from "./Row.style";
export declare type TRProps = RowProps & {
    children: React.ReactNode;
};
export declare const TR: React.FC<TRProps>;
export declare type TRHeadProps = HeadProps & {
    children: React.ReactNode;
};
export declare const TRHead: React.ForwardRefExoticComponent<import("../Theme").HasTheme & {
    primary?: boolean | undefined;
    secondary?: boolean | undefined;
    grey?: boolean | undefined;
} & {
    children: React.ReactNode;
} & React.RefAttributes<HTMLDivElement>>;
export declare type TRBodyProps = {
    children: React.ReactNode;
};
export declare const TRBody: React.FC<TRBodyProps>;
//# sourceMappingURL=Row.d.ts.map