"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Mobile = exports.Nested = exports.WithButtons = exports.Default = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var Table_1 = require("./Table");
var THead = __importStar(require("./THead.stories"));
var TBody = __importStar(require("./TBody.stories"));
var TFoot = __importStar(require("./TFoot.stories"));
var TR = __importStar(require("./TR.stories"));
var TRHead = __importStar(require("./TRHead.stories"));
var TRBody = __importStar(require("./TRBody.stories"));
var TH = __importStar(require("./TH.stories"));
var Heading_1 = require("../Heading");
var meta = {
    title: "Table",
    component: Table_1.Table,
};
exports.default = meta;
var Template = function (args) { return jsx_runtime_1.jsx(Table_1.Table, __assign({}, args), void 0); };
exports.Default = Object.assign(Template.bind({}), {
    args: {
        children: [
            jsx_runtime_1.jsx(THead.Default, __assign({}, THead.Default.args), "head"),
            jsx_runtime_1.jsx(TBody.Default, __assign({}, TBody.Default.args), "body"),
            jsx_runtime_1.jsx(TFoot.Default, __assign({}, TFoot.Default.args), "foot"),
        ],
    },
});
exports.WithButtons = Object.assign(Template.bind({}), {
    args: {
        children: [
            jsx_runtime_1.jsx(THead.WithButtons, __assign({}, THead.WithButtons.args), "head"),
            jsx_runtime_1.jsx(TBody.Default, __assign({}, TBody.Default.args), "body"),
        ],
    },
});
exports.Nested = Object.assign(Template.bind({}), {
    args: {
        children: [
            jsx_runtime_1.jsx(THead.WithButtons, __assign({}, THead.WithButtons.args), "head"),
            jsx_runtime_1.jsxs(TBody.Default, __assign({}, TBody.Default.args, { children: [jsx_runtime_1.jsx(TR.Default, __assign({}, TR.Default.args), void 0),
                    jsx_runtime_1.jsx(TR.Default, __assign({}, TR.Default.args), void 0),
                    jsx_runtime_1.jsxs(TR.Expanded, __assign({}, TR.Expanded.args, { children: [jsx_runtime_1.jsx(TRHead.Active, __assign({}, TRHead.Active.args), void 0),
                            jsx_runtime_1.jsxs(TRBody.Default, __assign({}, TRBody.Default.args, { children: [jsx_runtime_1.jsx(Heading_1.H4, { children: "Subtable Title" }, void 0),
                                    jsx_runtime_1.jsx(exports.Default, __assign({}, exports.Default.args), void 0)] }), void 0)] }), void 0)] }), "body"),
        ],
    },
});
exports.Mobile = Object.assign(Template.bind({}), {
    args: {
        children: [
            jsx_runtime_1.jsx(THead.Default, __assign({}, THead.default.args, { children: jsx_runtime_1.jsx(TR.Header, __assign({}, TR.Header.args, { children: jsx_runtime_1.jsxs(TRHead.Header, __assign({}, TRHead.Header.args, { children: [jsx_runtime_1.jsx(TH.Default, __assign({}, TH.Default.args), void 0),
                            jsx_runtime_1.jsx(TH.Default, __assign({}, TH.Default.args), void 0),
                            jsx_runtime_1.jsx(TH.Default, __assign({}, TH.Default.args), void 0)] }), void 0) }), void 0) }), "head"),
            jsx_runtime_1.jsx(TBody.Mobile, __assign({}, TBody.Mobile.args), "body"),
        ],
    },
});
//# sourceMappingURL=Table.stories.js.map